Edit Document (Async)
curl --request POST \
--url https://platform.aifano.com/edit_async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_url": "<string>",
"edit_instructions": "<string>",
"async": {
"priority": false,
"webhook": {
"url": "<string>"
},
"metadata": "<unknown>"
}
}
'import requests
url = "https://platform.aifano.com/edit_async"
payload = {
"document_url": "<string>",
"edit_instructions": "<string>",
"async": {
"priority": False,
"webhook": { "url": "<string>" },
"metadata": "<unknown>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_url: '<string>',
edit_instructions: '<string>',
async: {priority: false, webhook: {url: '<string>'}, metadata: '<unknown>'}
})
};
fetch('https://platform.aifano.com/edit_async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>"
}{
"error": "<string>"
}Document Processing
Edit Document (Async)
Asynchronously edit a document. Returns a job_id for polling.
POST
/
edit_async
Edit Document (Async)
Authorizations
API key authentication. Use your Aifano API key (starts with ak_live_) as the Bearer token.
Body
application/json
Response
Job created
Job ID for polling via GET /job/{job_id}.
⌘I